﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace WinFormsTest
{
    public class CountryUse
    {
        public string Country { get; set; }
        public double Nuclear { get; set; }
        public double Coal { get; set; }
        public double Oil { get; set; }
        public double Gas { get; set; }
        public double Hydro { get; set; }
        public double Total { get; set; }
        public double Renewable { get; set; }
        public double NonRenewable { get; set; }

    }
    class EnergyUse : ObservableCollection<CountryUse>
    {
        public EnergyUse()
        {
            this.Add(new CountryUse() { Country = "Canada", Nuclear = 225, Coal = 400, Oil = 100, Gas = 175, Hydro = 350, Total = 1250, Renewable = 350, NonRenewable = 900 });
            this.Add(new CountryUse() { Country = "China", Nuclear = 400, Coal = 925, Oil = 200, Gas = 350, Hydro = 625, Total = 2500, Renewable = 625, NonRenewable = 1875 });
            this.Add(new CountryUse() { Country = "Russia", Nuclear = 475, Coal = 550, Oil = 200, Gas = 250, Hydro = 425, Total = 1900, Renewable = 425, NonRenewable = 1475 });
            this.Add(new CountryUse() { Country = "Australia", Nuclear = 175, Coal = 450, Oil = 100, Gas = 150, Hydro = 350, Total = 1225, Renewable = 350, NonRenewable = 875 });
            this.Add(new CountryUse() { Country = "USA", Nuclear = 575, Coal = 800, Oil = 250, Gas = 475, Hydro = 750, Total = 2850, Renewable = 750, NonRenewable = 2100 });
            this.Add(new CountryUse() { Country = "France", Nuclear = 275, Coal = 375, Oil = 150, Gas = 350, Hydro = 325, Total = 1475, Renewable = 325, NonRenewable = 1150 });


        }
    }
}
